# $Revision: 1.3 $, $Date: 2002/09/14 22:20:57 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	Octave
Summary:	Inline::Octave Perl module
Summary(cs):	Modul Inline::Octave pro Perl
Summary(da):	Perlmodul Inline::Octave
Summary(de):	Inline::Octave Perl Modul
Summary(es):	Mdulo de Perl Inline::Octave
Summary(fr):	Module Perl Inline::Octave
Summary(it):	Modulo di Perl Inline::Octave
Summary(ja):	Inline::Octave Perl ⥸塼
Summary(ko):	Inline::Octave  
Summary(no):	Perlmodul Inline::Octave
Summary(pl):	Modu Perla Inline::Octave
Summary(pt):	Mdulo de Perl Inline::Octave
Summary(pt_BR):	Mdulo Perl Inline::Octave
Summary(ru):	  Perl Inline::Octave
Summary(sv):	Inline::Octave Perlmodul
Summary(uk):	  Perl Inline::Octave
Summary(zh_CN):	Inline::Octave Perl ģ
Name:		perl-Inline-Octave
Version:	0.16
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Inline >= 0.4
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	octave
Requires:	octave
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Octave - Inline octave code into your perl.

%description -l pl
Modu Inline::Octave - pozwalajcy na umieszczanie kodu w jzyku
Octave w skryptach perlowych.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}

%build
echo '/usr/bin/octave' | perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Inline/Octave.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Inline-Octave.spec,v $
Revision 1.3  2002/09/14 22:20:57  ankry
- added tests, tramslations

Revision 1.2  2002/07/27 12:29:13  ankry
- BR: octave (otherwise build loops infinitely)
- release 2

Revision 1.1  2002/07/26 23:40:58  qboosh
- new
